## pyspread 2.4

=== requirements.txt ===
# Mandatory
PyQt6 (>=6.4)
numpy (>=1.1)
setuptools (>=40.0)
markdown2 (>= 2.3)

# Optional
matplotlib [extra] (>=1.1.1)
pyenchant [extra] (>=1.1)
pip [extra] (>=18)
python-dateutil [extra] (>=2.7.0)
py-moneyed [extra] (>=2.0)
rpy2 [extra] (>=3.4)
plotnine [extra] (>=0.8)
pycel [extra] (>=1.0b30)
openpyxl [extra] (>=3.0.7)

=== debian/changelog ===
pyspread (2.4-2) unstable; urgency=medium

  * Remove python3-pkg-resources dpendency (closes: #1083584)
  * Add optional dependency python3-openpyxl
  * Update d/copyright

 -- Andreas Noteng <andreas@noteng.no>  Mon, 09 Jun 2025 13:24:25 +0200

pyspread (2.4-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version (no change)

 -- Andreas Noteng <andreas@noteng.no>  Fri, 30 May 2025 16:01:51 +0200

=== debian/control ===
Source: pyspread
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper-compat (=13),
               dh-exec,
               dh-sequence-python3,
               python3 (>= 3.7),
               python3-matplotlib (>= 1.1.1),
               python3-numpy (>= 1:1.1.0),
               python3-pyqt6,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.7.2
Homepage: https://pyspread.gitlab.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyspread.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyspread
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: pyspread
Architecture: all
Depends: python3 (>= 3.7),
         python3-markdown2,
         python3-numpy (>= 1:1.1.0),
         python3-pygments,
         python3-pyqt6 (>=5.11.3),
         python3-pyqt6.qtsvg,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-enchant (>= 1.1),
            python3-matplotlib (>= 1.1.1),
            python3-moneyed (>=2.0),
            python3-openpyxl (>= 3.0.7)
Description: cross-platform Python spreadsheet application
 Pyspread is a cross-platform Python spreadsheet application. Instead of
 spreadsheet formulas, Python expressions are entered into the spreadsheet
 cells. Each expression returns a Python object that can be accessed from
 other cells. These objects can represent anything including lists or matrices.

=== debian/rules ===
#!/usr/bin/make -f
#PYVERS := $(shell pyversions -i)
#VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')

export DH_VERBOSE=1

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/pyspread/usr/pyspread
#	cp -R pyspread/share/icons debian/pyspread/usr/share/pyspread/share/
	chmod 755 debian/pyspread/usr/share/pyspread/pyspread/pyspread.py
	rm debian/pyspread/usr/share/pyspread/pyspread/share/LICENSE
	rm debian/pyspread/usr/share/pyspread/pyspread/share/templates/matplotlib/COPYING
	mkdir debian/pyspread/usr/share/pyspread/tmp
	mv debian/pyspread/usr/share/pyspread/pyspread/* debian/pyspread/usr/share/pyspread/tmp/
	rm -rf debian/pyspread/usr/share/pyspread/pyspread
	mv debian/pyspread/usr/share/pyspread/tmp/* debian/pyspread/usr/share/pyspread/
	rm -rf debian/pyspread/usr/share/pyspread/tmp
	mkdir debian/pyspread/usr/bin
	cp debian/pyspread.sh debian/pyspread/usr/bin/pyspread

export PYBUILD_NAME=pyspread
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyspread/ --install-scripts=/usr/share/pyspread/pyspread --root=debian/pyspread

override_dh_auto_test:

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3 --no-guessing-deps

%:
	dh $@ --buildsystem=pybuild --ext-sub-pattern=__pycache__

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://gitlab.com/pyspread/pyspread/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@\.tar\.bz2

## pyspread 2.4.1

=== debian/changelog ===
pyspread (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Fix path to AUTHORS-file (fix_AUTHORS_path.patch)

 -- Andreas Noteng <andreas@noteng.no>  Thu, 20 Nov 2025 09:26:22 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Homepage: https://pyspread.gitlab.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyspread.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyspread
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: pyspread

## pyspread 2.4.3

=== debian/changelog ===
pyspread (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * Drop fix_AUTHORS_path.patch, fixed upstream

 -- Andreas Noteng <andreas@noteng.no>  Sat, 07 Feb 2026 08:14:59 +0100
